#pragma once

namespace Mix{ namespace Tool{ namespace Utility{

	public ref class NamingService
	{
	private:
		static const int MAX_NUMBER = 999;

	public:
		ref class OverlapNumberException : public System::Exception {};

	private:
		System::Collections::Generic::List<System::String^>^ m_List;

	public:
		NamingService( void );

		System::String^ Add( System::String^ name );
		void Remove( System::String^ name );
	};

}}}
